Arduino IDE 1.5 on Raspberry Pi - Information Request

Before I even try it I would like to know if latest IDE runs on Raspi and if yes, do I need to compile? I tried latest 32bit version and it does not start. Or do I have to run it at sudo?

I would like to add support for my Due to Raspi. Due makes it alot easier than using levelshifter for UART. Finally a good use for it.

Edit: Seems that IDE cannot start inder the X11

1.0.5 works nicely on my raspberry. You tried with apt-get?

Yes I installed arduino IDE with suod apt-get install arduino. But it does not support Arduino Due. Might end in programming it from PC :(